<!DOCTYPE html>
<html>

<head>
    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
            // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }

        function displayResult() {
            xml = loadXMLDoc("catalogo.xml");
            xsl = loadXMLDoc("catalogo.xsl");
            // code for IE
            // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
            //     ex = xml.transformNode(xsl);
            //     document.getElementById("example").innerHTML = ex;
            // }
            // // code for Chrome, Firefox, Opera, etc.
            // else 
            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.getElementById("example").appendChild(resultDocument);
            }
        }
    </script>
</head>

<body onload="displayResult()">
    <h1>Catalogo de discos</h1>
    <div id="example" style="background-color: grey;">
        <p>Estoy dentro de la capa a rellenar.</p>
    </div>
    <button onclick="displayResult()">Boton</button>
    <p>Estos son los titutlos de didscos que más me gustan</p>
    <footer>
        <h4>
            Esto es el footer
        </h4>
        <p>Bla bla bla</p>
    </footer>
</body>

</html>